Error while configuring glibc in LFS version 6

Puvi puviarasu at gmail.com
Sun Apr 10 19:45:17 PDT 2005


hi
 Iam using linux Redhat linux 9 (with out an upgradded packages ) i
sarted compiling LFS version 6 as stated in the pdf while compailing
glibc i got the error "configure: error: forced unwind support is
required" i have not worked on such projet can an body give me a
solution to solve this problem.

lfs:/mnt/lfs/sources/glibc-build$ ../glibc-2.3.4-20040701/configure
--prefix=/tools \--disable-profile --enable-add-ons=nptl --with-tls
\--with-__thread --enable-kernel=2.6.0 \--with-binutils=/tools/bin
--without-gd --without-cvs \--with-headers=/tools/glibc-kernheaders
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking sysdep dirs... sysdeps/i386/elf nptl/sysdeps/unix/sysv/linux/i386/i686
nptl/sysdeps/unix/sysv/linux/i386 nptl/sysdeps/unix/sysv/linux
nptl/sysdeps/pthread sysdeps/pthread nptl/sysdeps/unix/sysv
nptl/sysdeps/unix nptl/sysdeps/i386/i686 nptl/sysdeps/i386
sysdeps/unix/sysv/linux/i386 sysdeps/unix/sysv/linux sysdeps/gnu
sysdeps/unix/common sysdeps/unix/mman sysdeps/unix/inet
sysdeps/unix/sysv/i386 sysdeps/unix/sysv sysdeps/unix/i386
sysdeps/unix sysdeps/posix sysdeps/i386/i686/fpu sysdeps/i386/i686
sysdeps/i386/i486 nptl/sysdeps/i386/i486 sysdeps/i386/fpu sysdeps/i386
sysdeps/wordsize-32 sysdeps/ieee754/ldbl-96 sysdeps/ieee754/dbl-64
sysdeps/ieee754/flt-32 sysdeps/ieee754 sysdeps/generic/elf
sysdeps/generic
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking for gcc... gcc
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking how to run the C preprocessor... gcc -E
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking whether /tools/bin/as is GNU as... yes
checking whether /tools/bin/ld is GNU ld... yes
checking for /tools/bin/as... /tools/bin/as
checking version of /tools/bin/as... 2.15.91.0.2, ok
checking for /tools/bin/ld... /tools/bin/ld
checking version of /tools/bin/ld... 2.15.91.0.2, ok
checking for pwd... /bin/pwd
checking for gcc... gcc -B/tools/bin/
checking version of gcc -B/tools/bin/... 3.2.2, ok
checking for gnumake... no
checking for gmake... gmake
checking version of gmake... 3.79.1, ok
checking for gnumsgfmt... no
checking for gmsgfmt... no
checking for msgfmt... msgfmt
checking version of msgfmt... 0.11.4, ok
checking for makeinfo... makeinfo
checking version of makeinfo... 4.3, ok
checking for sed... sed
checking version of sed... 4.0.5, ok
checking for autoconf... autoconf
checking whether autoconf works... yes
checking whether ranlib is necessary... no
checking LD_LIBRARY_PATH variable... ok
checking whether GCC supports -static-libgcc... -static-libgcc
checking for bash... /bin/sh
checking for gawk... gawk
checking for perl... /usr/bin/perl
checking for install-info... /sbin/install-info
checking for bison... /usr/bin/bison
checking for signed size_t type... no
checking for libc-friendly stddef.h... yes
checking whether we need to use -P to assemble .S files... no
checking whether .text pseudo-op must be used... yes
checking for assembler global-symbol directive... .globl
checking for .set assembler directive... yes
checking for assembler .type directive prefix... @
checking for .symver assembler directive... yes
checking for ld --version-script... yes
checking for .previous assembler directive... yes
checking for .protected and .hidden assembler directive... yes
checking whether __attribute__((visibility())) is supported... yes
checking for broken __attribute__((visibility()))... no
checking for broken __attribute__((alias()))... no
checking whether to put _rtld_local into .sdata section... no
checking for .preinit_array/.init_array/.fini_array support... yes
checking for libunwind-support in compiler... no
checking for -z nodelete option... yes
checking for -z nodlopen option... yes
checking for -z initfirst option... yes
checking for -z relro option... yes
checking for -Bgroup option... yes
checking for libgcc_s suffix...
checking for --as-needed option... yes
checking whether --noexecstack is desirable for .S files... no
checking for -z combreloc... yes
checking for -z execstack... yes
checking for -fpie... no
checking for -fno-unit-at-a-time... no
checking whether cc puts quotes around section names... no
checking for assembler .weak directive... yes
checking whether CFI directives are supported... yes
checking if -g produces usable source locations for assembler-with-cpp... yes
checking for ld --no-whole-archive... yes
checking for gcc -fexceptions... yes
checking for DWARF2 unwind info support... no_registry_needed
checking for __builtin_expect... yes
checking for __builtin_memset... no
checking for redirection of built-in functions... no
checking for local label subtraction... yes
checking for __thread... yes
checking for tls_model attribute... yes
checking for libgd... no
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for long double... yes
checking size of long double... 12
running configure fragment for sysdeps/i386/elf
checking for i386 TLS support... yes
running configure fragment for nptl/sysdeps/unix/sysv/linux
running configure fragment for nptl/sysdeps/pthread
checking for forced unwind support... no
configure: error: forced unwind support is required


Thanks in advance 
Puviarasu



More information about the lfs-dev mailing list